using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using GeekSpeakMVCDemo.Data;

namespace GeekSpeakMVCDemo.Controllers
{
	[HandleError]
	public class HomeController : Controller
	{
		public ActionResult Index()
		{
			ViewData["Message"] = "Welcome to ASP.NET MVC!";

			return View();
		}


		public ActionResult About()
		{		

			return View();
		}

		public ActionResult People()
		{
			List<Person> model = new List<Person>();

			model = DataAdmin.GetPeople();

			return View(model);
		}


		public ActionResult PeopleAddress()
		{
			List<Person> model = new List<Person>();

			model = DataAdmin.GetPeopleWithAddress();

			return View(model);
		}
		
	}
}
